Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  gesamte Zeichnung auf Layer 0 inkl. Blöcke

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   gesamte Zeichnung auf Layer 0 inkl. Blöcke (1761 mal gelesen)
Lary
Mitglied
Elektroniker f. Ger. & Sys., staatl. gepr. Elektrotechniker


Sehen Sie sich das Profil von Lary an!   Senden Sie eine Private Message an Lary  Schreiben Sie einen Gästebucheintrag für Lary

Beiträge: 172
Registriert: 01.08.2002

AutoCAD 2011<P>Microsoft Windows 7 Ultimate

erstellt am: 17. Okt. 2013 15:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Moin zusammen,

wir erhalten große Grundrisse von Objekten die wir dann als Referenz für unsere Pläne verwenden. Bislang sind wir so vorgegangen das wir die Grundrisse genommen haben und sie komplett gesprengt haben damit sämtliche Blöcke zerlegt sind um dann alle Objekte in der Zeichung auf Layer "0" zu legen. Diese Modelle haben wir dann bereinigt und gespeichert. Wir nutzen nun also diese Zeichnungen um sie uns unter neue Zeichnungen als Referenz zu laden und dann eben darauf zu zeichnen. Der Nachteil ist nun, das die Zeichnungen Datentechnisch mächtig groß werden wenn wir die Referenzen dann binden. Foldende Idee kam nun auf: Wenn es eine Möglichkeit gibt alle Objekte der Grundrisse ohne sprengen auf Layer "0" zu legen, müßten die Datenmenge doch kleiner bleiben nach dem Binden der Referenzen. Hat da jemand eine Idee?

------------------
MfG Lary 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Entsorger01
Moderator
Techniker




Sehen Sie sich das Profil von Entsorger01 an!   Senden Sie eine Private Message an Entsorger01  Schreiben Sie einen Gästebucheintrag für Entsorger01

Beiträge: 3165
Registriert: 07.07.2006

ACAD 2014 - SP1
VPstudio (Raster)
Acrobat Prof. X
Photoshop CS6
Win7

erstellt am: 17. Okt. 2013 15:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lary 10 Unities + Antwort hilfreich

"ach, was soll's" 

------------------
Gruß

Michi

"Es ist schon alles gesagt, nur noch nicht von allen." (Karl Valentin)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2653
Registriert: 26.08.2002

erstellt am: 17. Okt. 2013 19:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lary 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Lary:
... gesprengt haben damit sämtliche Blöcke zerlegt sind um dann alle Objekte in der Zeichung auf Layer "0" zu legen. Diese Modelle haben wir dann bereinigt und gespeichert. Wir nutzen nun also diese Zeichnungen um sie uns unter neue Zeichnungen als Referenz zu laden .

Ich versteh immer noch nicht warum / wo der Vorteil diese Arbeitsweise liegt

nice day cw

------------------
Also ich finde Unities gut ... und andere sicher auch
------------------------------------------------
cadwomen™
Plant ist wie Öl suchen, je tiefer man bohrt desto mehr kommt ans Tageslicht

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lary
Mitglied
Elektroniker f. Ger. & Sys., staatl. gepr. Elektrotechniker


Sehen Sie sich das Profil von Lary an!   Senden Sie eine Private Message an Lary  Schreiben Sie einen Gästebucheintrag für Lary

Beiträge: 172
Registriert: 01.08.2002

AutoCAD 2011<P>Microsoft Windows 7 Ultimate

erstellt am: 18. Okt. 2013 08:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@cadwomen: Der Grund weßhalb wir so arbeiten ist folgender: Wir wollen die Grundrisse in leicht grau unter unserem Zeichnungsinhalt haben. Somit können wir unseren Zeichnungsinhalt andersfarbig, somit gehighlightet, auf den Grundriss zeichnen. Dadurch das wir die Grundrisse Sprengen sind keine Blöcke mehr vorhanden, wir selber setzen neue Blöcke auf dem Grundriss die wir dann auswerten können. Weiterhin ist es so das sich die Grundrisse öfters mal ändern und wir somit nur die Referenzzeichnung anpassen müssen und sie dann für alle Zeichnungen die diese Referenz benutzen gleich aktuell haben.

------------------
MfG Lary 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

.....
Mitglied



Sehen Sie sich das Profil von ..... an!   Senden Sie eine Private Message an .....  Schreiben Sie einen Gästebucheintrag für .....

Beiträge: 428
Registriert: 01.07.2011

erstellt am: 18. Okt. 2013 08:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lary 10 Unities + Antwort hilfreich

>> Wir wollen die Grundrisse in leicht grau unter unserem Zeichnungsinhalt haben

Ja aber dafür bringt man doch nicht alles an den Grund 

>> xref grau und Technik farbig plotten <<
>> AutoCAD 2010 XRefs werden blass dargestellt <<
Und um alles auf VonLayer zu bekommen: SETBYLAYER

Testet doch mal, ob das nicht auch was für euch wäre.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2653
Registriert: 26.08.2002

ACAD R11 - 2018.1.2
(Plant3D)
AVIS
ACAD LT 2013- 2020
ZWCAD 2015 Versuch "nun ja"
[s]History P3D 2012/(13) SP und Hotfix([/s]<P>
Windows 10 / 64 Bit
Xeon CPU 3.5GHz
16GB Ram
NVIDIA Quadro P2000
3x Dell TV100 88P Monitore

erstellt am: 18. Okt. 2013 09:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lary 10 Unities + Antwort hilfreich

Guten Tag ,

okay wie im PM davor , es gibt inzwischen "bessere" Möglichkeiten als die. Das war Stand ACAD 13 /14 wo man das so machte

Gruss CU
Units an Mitglied ......

Zitat:
Original erstellt von Lary:
@cadwomen: Der Grund weßhalb wir so arbeiten ist folgender: Wir wollen die Grundrisse in leicht grau unter unserem Zeichnungsinhalt haben. Somit können wir unseren Zeichnungsinhalt andersfarbig, somit gehighlightet, auf den Grundriss zeichnen. Dadurch das wir die Grundrisse Sprengen sind keine Blöcke mehr vorhanden, wir selber setzen neue Blöcke auf dem Grundriss die wir dann auswerten können. Weiterhin ist es so das sich die Grundrisse öfters mal ändern und wir somit nur die Referenzzeichnung anpassen müssen und sie dann für alle Zeichnungen die diese Referenz benutzen gleich aktuell haben.


------------------
Also ich finde Unities gut ... und andere sicher auch
------------------------------------------------
cadwomen™
Plant ist wie Öl suchen, je tiefer man bohrt desto mehr kommt ans Tageslicht

[Diese Nachricht wurde von cadwomen am 18. Okt. 2013 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ida-stade
Mitglied
Bauingenieur


Sehen Sie sich das Profil von ida-stade an!   Senden Sie eine Private Message an ida-stade  Schreiben Sie einen Gästebucheintrag für ida-stade

Beiträge: 654
Registriert: 04.03.2006

ISD/Civil 3D 2017/2018 auf AMD Phenom II X4, 3,4Ghz,32GB RAM, 1TB SSD, Win7, AMD FireProW5100, Monitore PhilipsBDM4350+SamsungSyncMaster2443, Plotter HP T770

erstellt am: 18. Okt. 2013 11:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lary 10 Unities + Antwort hilfreich

Hallo Lary,
ich weiß nicht, wie "setbylayer" wirkt. Auch in Blöcken?
Wenn es nur um die Darstellung geht, 'mal ein unkonventioneller Vorschlag:
xref-Datei in eine jpg-Datei plotten, dabei passende Pixelzahlen ür die gewünschte Größe und Auflösung einstellen.
Die Bilddatei dann über markante Punkte (ggf. zwei Punkte zeichnen) einfügen und skalieren.
Die Darstellung läßt sich dann wie bei jedem Bild stärker oder schwächer wählen usw.
Schnell beim Zoomen usw. geht's auch noch.
Für's Zeichnen würde ich die xref unverändert verwenden, damit der Objektfang funktioniert.
So habe ich auch schon mit Plänen gearbeitet, bei denen die Farben zu kräftig sind. Läßt sich aber so frei einstellen, ohne in der Originalzeichnung rumwurschteln zu müssen.
Gruß Dietrich

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

.....
Mitglied



Sehen Sie sich das Profil von ..... an!   Senden Sie eine Private Message an .....  Schreiben Sie einen Gästebucheintrag für .....

Beiträge: 428
Registriert: 01.07.2011

erstellt am: 18. Okt. 2013 11:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lary 10 Unities + Antwort hilfreich

>> ich weiß nicht, wie "setbylayer" wirkt. Auch in Blöcken?

Bekommt man durch den Klick auf den link oben recht einfach heraus:  Ja.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ida-stade
Mitglied
Bauingenieur


Sehen Sie sich das Profil von ida-stade an!   Senden Sie eine Private Message an ida-stade  Schreiben Sie einen Gästebucheintrag für ida-stade

Beiträge: 654
Registriert: 04.03.2006

ISD/Civil 3D 2017/2018 auf AMD Phenom II X4, 3,4Ghz,32GB RAM, 1TB SSD, Win7, AMD FireProW5100, Monitore PhilipsBDM4350+SamsungSyncMaster2443, Plotter HP T770

erstellt am: 18. Okt. 2013 13:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lary 10 Unities + Antwort hilfreich

Tja, wer lesen kann, ist im Vorteil... 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1137
Registriert: 11.01.2006

Win 10
ACAD 2019

erstellt am: 18. Okt. 2013 13:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lary 10 Unities + Antwort hilfreich

Ich hatte mal den Code von Thomas umgewurschtelt dass die Farbe vonlayer wird.
Allerdings bekommen Attribute und die Objekte in den Blockdefinitionen die Farbe vonblock.

Und wenn man es ganz genau nimmt, müssten/könnten auch noch alle Bemaßungsstile, Bemaßungsobjekte, Tabellenstile, Multilinienstile, Farbänderungen in MTexten, usw. usw. bearbeitet werden.
Aber ich denke das hier reicht erst mal.

Code:
(defun C:color-bylayer-all (/ BLOCK ITEM att)
  (vl-load-com)
  (vlax-for BLOCK (vla-get-blocks
    (vla-get-activedocument (vlax-get-acad-object))
  )
    (if (= (vla-get-isxref BLOCK) :vlax-false)
      (if (= (vla-get-ISLAYOUT BLOCK) :vlax-false)
(vlax-for ITEM BLOCK
  (vl-catch-all-apply
    'vla-put-color
    (list ITEM "0")
  )
)
(progn
  (vlax-for ITEM BLOCK
    (vl-catch-all-apply
      'vla-put-color
      (list ITEM "256")
    )
    (if (and (vlax-property-available-p ITEM "hasattributes")
     (= (vla-get-hasattributes ITEM) :vlax-true)
)
      (mapcar '(lambda (att)
(vl-catch-all-apply
   'vla-put-color
   (list att "0")
)
       )
      (vlax-safearray->list
(vlax-variant-value
  (vla-getattributes ITEM)
)
      )
      )
    )
  )
)
      )
    )
  )
  (vla-regen (vla-get-activedocument (vlax-get-acad-object))
     acAllViewports
  )
)

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

[Diese Nachricht wurde von Andreas Kraus am 18. Okt. 2013 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ArCADe-Spieler
Mitglied
Metallbautechniker


Sehen Sie sich das Profil von ArCADe-Spieler an!   Senden Sie eine Private Message an ArCADe-Spieler  Schreiben Sie einen Gästebucheintrag für ArCADe-Spieler

Beiträge: 134
Registriert: 05.12.2012

Win 10 64bit
ACAD 2017 /LT

erstellt am: 18. Okt. 2013 13:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lary 10 Unities + Antwort hilfreich

mal so als Vorschlag zu bordeigenen Tools : Laykonv ... alle Layer in der Vorgabezeichnung auf den Ziellayer "0" konvertieren ... vorher unten links in den Einstellungen noch die ersten 4 Punkte anhaken (oder eben nicht  ) ... et voila ... es ist angerichtet

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz